Debian Bug report logs - #444880
/boot/vmlinuz-2.6.21-2-686: /proc/20502/wchan has unexpected content, trivial repro

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Johan Walles <johan.walles@gmail.com>

Date: Mon, 1 Oct 2007 16:18:02 UTC

Severity: normal

Found in versions 2.6.26-5, 2.6.29-3

Done: maximilian attems <max@stro.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#444880; Package linux-image-2.6.21-2-686. Full text and rfc822 format available.

Acknowledgement sent to Johan Walles <johan.walles@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Johan Walles <johan.walles@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /boot/vmlinuz-2.6.21-2-686: /proc/20502/wchan has unexpected content, trivial repro
Date: Mon, 01 Oct 2007 18:16:02 +0200
Package: linux-image-2.6.21-2-686
Version: 2.6.21-6
Severity: normal
File: /boot/vmlinuz-2.6.21-2-686


Try this:
1. At one prompt, do "cat".
Now, switch to another prompt and...
2. Do "pstree -p|grep cat" to find out the PID of your cat command.  I
get 20502.
3. Do "cat /proc/20502/wchan".  I get "_stext" here.
4. Do "strace -p 20502".  I get "read(0,  <unfinished ...>" here.

According to "man proc", wchan "is the "channel" in which the process
is waiting.  It is the address of a system call".  "_stext" doesn't seem 
to fit that description.

I would like the output of cat /proc/20502/wchan to agree with strace.

Otherwise creating "bottom" (the opposite of "top") can't be done with 
just a few lines of shell scripting as I had intended :-(.

  Regards //Johan

-- Package-specific info:
** Version: Linux version 2.6.21-2-686 (Debian 2.6.21-6) (waldi@debian.org) (gcc version 4.1.3 20070629 (prerelease) (Debian 4.1.2-13)) #1 SMP Wed Jul 11 03:53:02 UTC 2007

** Not tainted

** Kernel log:
uhci_hcd 0000:00:1d.3: new USB bus registered, assigned bus number 5
uhci_hcd 0000:00:1d.3: irq 22, io base 0x00002060
usb usb5: configuration #1 chosen from 1 choice
hub 5-0:1.0: USB hub found
hub 5-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:05:09.0[A] -> GSI 18 (level, low) -> IRQ 20
e100: eth1: e100_probe: addr 0xe0420000, irq 20, MAC addr 00:02:B3:94:C4:C0
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ICH7: IDE controller at PCI slot 0000:00:1f.1
ACPI: PCI Interrupt 0000:00:1f.1[A] -> GSI 17 (level, low) -> IRQ 17
ICH7: chipset revision 1
ICH7: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0x20a0-0x20a7, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0x20a8-0x20af, BIOS settings: hdc:pio, hdd:pio
Probing IDE interface ide0...
usb 3-1: new low speed USB device using uhci_hcd and address 2
usb 3-1: configuration #1 chosen from 1 choice
hda: HL-DT-STDVDRRW GWA-4166B, ATAPI CD/DVD-ROM drive
usb 3-2: new full speed USB device using uhci_hcd and address 3
usb 3-2: configuration #1 chosen from 1 choice
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
usb 4-2: new low speed USB device using uhci_hcd and address 2
usb 4-2: configuration #1 chosen from 1 choice
usbcore: registered new interface driver hiddev
input: A4Tech USB Optical Mouse as /class/input/input1
input: USB HID v1.10 Mouse [A4Tech USB Optical Mouse] on usb-0000:00:1d.1-1
input: Logitech Logitech Extreme 3D Pro as /class/input/input2
input: USB HID v1.10 Joystick [Logitech Logitech Extreme 3D Pro] on usb-0000:00:1d.2-2
usbcore: registered new interface driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
hda: ATAPI 40X DVD-ROM DVD-R CD-R/RW drive, 2048kB Cache, UDMA(44)
Uniform CD-ROM driver Revision: 3.20
floppy0: no floppy controllers found
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
input: PC Speaker as /class/input/input3
Real Time Clock Driver v1.12ac
iTCO_wdt: Intel TCO WatchDog Timer Driver v1.01 (21-Jan-2007)
iTCO_wdt: Found a ICH7 or ICH7R TCO device (Version=2, TCOBASE=0x7860)
iTCO_wdt: heartbeat value must be 2<heartbeat<39 (TCO v1) or 613 (TCO v2), using 30
iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
parport: PnPBIOS parport detected.
parport0: PC-style at 0x378 (0x778), irq 7, dma 3 [PCSPP,TRISTATE,COMPAT,ECP,DMA]
parport0: Printer, Brother HL-2070N series
intel_rng: Firmware space is locked read-only. If you can't or
intel_rng: don't want to disable this in firmware setup, and if
intel_rng: you are certain that your system has a functional
intel_rng: RNG, try using the 'no_fwh_detect' option.
cdc_acm 3-2:1.1: ttyACM0: USB ACM device
cdc_acm 3-2:1.3: ttyACM1: USB ACM device
cdc_acm 3-2:1.5: ttyACM2: USB ACM device
usbcore: registered new interface driver cdc_acm
drivers/usb/class/cdc-acm.c: v0.25:USB Abstract Control Model driver for USB modems and ISDN adapters
ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 21 (level, low) -> IRQ 21
PCI: Setting latency timer of device 0000:00:1b.0 to 64
floppy0: no floppy controllers found
EXT3 FS on sda2, internal journal
smsc47b397: found SMSC SCH5307-NS (base address 0x0480, revision 0)
device-mapper: ioctl: 4.11.0-ioctl (2006-10-12) initialised: dm-devel@redhat.com
NTFS driver 2.1.28 [Flags: R/W MODULE].
NTFS volume version 3.1.
e100: eth1: e100_watchdog: link up, 10Mbps, half-duplex
PM: Writing back config space on device 0000:3f:00.0 at offset 1 (was 100406, writing 100006)
PM: Writing back config space on device 0000:3f:00.0 at offset 1 (was 100406, writing 100006)
PM: Writing back config space on device 0000:3f:00.0 at offset 1 (was 100406, writing 100006)
tg3: eth0: Link is up at 100 Mbps, full duplex.
tg3: eth0: Flow control is on for TX and on for RX.
PM: Writing back config space on device 0000:3f:00.0 at offset 1 (was 100406, writing 100006)
PM: Writing back config space on device 0000:3f:00.0 at offset 1 (was 100406, writing 100006)
tg3: eth0: Link is up at 100 Mbps, full duplex.
tg3: eth0: Flow control is on for TX and on for RX.
ip_tables: (C) 2000-2006 Netfilter Core Team
Netfilter messages via NETLINK v0.30.
nf_conntrack version 0.5.0 (8192 buckets, 65536 max)
input: Power Button (FF) as /class/input/input4
ACPI: Power Button (FF) [PWRF]
input: Power Button (CM) as /class/input/input5
ACPI: Power Button (CM) [PBTN]
lp0: using parport0 (interrupt-driven).
ppdev: user-space parallel port driver
ata1.00: configured for UDMA/100
ata1: EH complete
SCSI device sda: 488397168 512-byte hdwr sectors (250059 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: write cache: disabled, read cache: enabled, doesn't support DPO or FUA
ISO 9660 Extensions: Microsoft Joliet Level 1
ISOFS: changing to secondary root
atkbd.c: Unknown key pressed (translated set 2, code 0x88 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e008 <keycode>' to make it known.
atkbd.c: Unknown key released (translated set 2, code 0x88 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e008 <keycode>' to make it known.
usb 3-2: USB disconnect, address 3
usb 3-2: new full speed USB device using uhci_hcd and address 4
usb 3-2: configuration #1 chosen from 1 choice
cdc_acm 3-2:1.1: ttyACM0: USB ACM device
cdc_acm 3-2:1.3: ttyACM1: USB ACM device
cdc_acm 3-2:1.5: ttyACM2: USB ACM device

** Loaded modules:
Module                  Size  Used by
isofs                  32796  1 
ppdev                   8580  0 
lp                     10884  0 
button                  7952  0 
ac                      5220  0 
battery                10020  0 
acpi_cpufreq            8680  0 
cpufreq_userspace       4128  0 
cpufreq_stats           5120  0 
cpufreq_powersave       1792  0 
cpufreq_ondemand        7884  2 
freq_table              4512  3 acpi_cpufreq,cpufreq_stats,cpufreq_ondemand
cpufreq_conservative     6888  0 
ipt_MASQUERADE          3616  1 
xt_tcpudp               3104  23 
iptable_nat             7236  1 
nf_nat                 17740  2 ipt_MASQUERADE,iptable_nat
xt_state                2432  1 
ipt_LOG                 6144  4 
nf_conntrack_ftp        9632  0 
nf_conntrack_ipv4      17612  3 iptable_nat
nf_conntrack           58472  6 ipt_MASQUERADE,iptable_nat,nf_nat,xt_state,nf_conntrack_ftp,nf_conntrack_ipv4
nfnetlink               6456  3 nf_nat,nf_conntrack_ipv4,nf_conntrack
iptable_filter          2944  1 
ip_tables              12164  2 iptable_nat,iptable_filter
x_tables               14468  6 ipt_MASQUERADE,xt_tcpudp,iptable_nat,xt_state,ipt_LOG,ip_tables
nls_iso8859_1           4128  2 
ntfs                  203264  1 
dm_snapshot            16420  0 
dm_mirror              20116  0 
dm_mod                 52556  2 dm_snapshot,dm_mirror
smsc47b397              6020  0 
i2c_isa                 5216  1 smsc47b397
i2c_core               20480  2 smsc47b397,i2c_isa
snd_hda_intel          20312  2 
snd_hda_codec         198336  1 snd_hda_intel
snd_pcm_oss            39168  1 
snd_pcm                71940  3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_mixer_oss          15328  1 snd_pcm_oss
snd_seq_dummy           3748  0 
snd_seq_oss            29248  0 
snd_seq_midi            8160  0 
snd_rawmidi            22400  1 snd_seq_midi
snd_seq_midi_event      6880  2 snd_seq_oss,snd_seq_midi
snd_seq                46160  6 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq_midi_event
snd_timer              20868  2 snd_pcm,snd_seq
snd_seq_device          7596  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_rawmidi,snd_seq
snd                    48132  16 snd_hda_intel,snd_hda_codec,snd_pcm_oss,snd_pcm,snd_mixer_oss,snd_seq_oss,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
psmouse                34952  0 
parport_pc             32740  1 
cdc_acm                14080  0 
joydev                  9152  0 
evdev                   9216  3 
soundcore               7424  2 snd
iTCO_wdt                9956  0 
serio_raw               6564  0 
parport                33672  3 ppdev,lp,parport_pc
tsdev                   7520  0 
snd_page_alloc          9512  2 snd_hda_intel,snd_pcm
rtc                    12760  0 
pcspkr                  3136  0 
ext3                  120904  1 
jbd                    55208  1 ext3
mbcache                 8164  1 ext3
ide_cd                 36512  1 
cdrom                  32768  1 ide_cd
usbhid                 23488  0 
hid                    23680  1 usbhid
piix                    9508  0 [permanent]
generic                 4804  0 [permanent]
ide_core              115016  3 ide_cd,piix,generic
e100                   32488  0 
mii                     5280  1 e100
uhci_hcd               22608  0 
ata_generic             8100  0 
ehci_hcd               30796  0 
usbcore               123272  5 cdc_acm,usbhid,uhci_hcd,ehci_hcd
tg3                    99844  0 
thermal                14120  0 
processor              30888  2 acpi_cpufreq,thermal
fan                     4868  0 
sd_mod                 19904  3 
ahci                   20068  2 
libata                109172  2 ata_generic,ahci
scsi_mod              133740  2 sd_mod,libata

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 955X Express Memory Controller Hub [8086:2774]
	Subsystem: Hewlett-Packard Company Unknown device [103c:3013]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR-
	Latency: 0
	Capabilities: <access denied>

00:01.0 PCI bridge [0604]: Intel Corporation 955X Express PCI Express Root Port [8086:2775] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	Memory behind bridge: e1000000-e31fffff
	Prefetchable memory behind bridge: 00000000d0000000-00000000e01fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
	Capabilities: <access denied>

00:1b.0 Audio device [0403]: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller [8086:27d8] (rev 01)
	Subsystem: Hewlett-Packard Company Unknown device [103c:3013]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 21
	Region 0: Memory at e0a00000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>

00:1c.0 PCI bridge [0604]: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 [8086:27d0] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=10, subordinate=10, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
	Capabilities: <access denied>

00:1c.4 PCI bridge [0604]: Intel Corporation 82801GR/GH/GHM (ICH7 Family) PCI Express Port 5 [8086:27e0] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=28, subordinate=28, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
	Capabilities: <access denied>

00:1c.5 PCI bridge [0604]: Intel Corporation 82801GR/GH/GHM (ICH7 Family) PCI Express Port 6 [8086:27e2] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=3f, subordinate=3f, sec-latency=0
	Memory behind bridge: e0500000-e07fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
	Capabilities: <access denied>

00:1d.0 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB UHCI #1 [8086:27c8] (rev 01) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Unknown device [103c:3013]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0
	Interrupt: pin A routed to IRQ 19
	Region 4: I/O ports at 2000 [size=32]

00:1d.1 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB UHCI #2 [8086:27c9] (rev 01) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Unknown device [103c:3013]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0
	Interrupt: pin B routed to IRQ 20
	Region 4: I/O ports at 2020 [size=32]

00:1d.2 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB UHCI #3 [8086:27ca] (rev 01) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Unknown device [103c:3013]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0
	Interrupt: pin C routed to IRQ 21
	Region 4: I/O ports at 2040 [size=32]

00:1d.3 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB UHCI #4 [8086:27cb] (rev 01) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Unknown device [103c:3013]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0
	Interrupt: pin D routed to IRQ 22
	Region 4: I/O ports at 2060 [size=32]

00:1d.7 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller [8086:27cc] (rev 01) (prog-if 20 [EHCI])
	Subsystem: Hewlett-Packard Company Unknown device [103c:3013]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at e0a04000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev e1) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=32
	I/O behind bridge: 00001000-00001fff
	Memory behind bridge: e0200000-e04fffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation 82801GB/GR (ICH7 Family) LPC Interface Bridge [8086:27b8] (rev 01)
	Subsystem: Hewlett-Packard Company Unknown device [103c:3013]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0
	Capabilities: <access denied>

00:1f.1 IDE interface [0101]: Intel Corporation 82801G (ICH7 Family) IDE Controller [8086:27df] (rev 01) (prog-if 8a [Master SecP PriP])
	Subsystem: Hewlett-Packard Company Unknown device [103c:3013]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0
	Interrupt: pin A routed to IRQ 17
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at 20a0 [size=16]

00:1f.2 SATA controller [0106]: Intel Corporation 82801GR/GH (ICH7 Family) Serial ATA Storage Controller AHCI [8086:27c1] (rev 01) (prog-if 01 [AHCI 1.0])
	Subsystem: Hewlett-Packard Company Unknown device [103c:3013]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0
	Interrupt: pin B routed to IRQ 219
	Region 0: I/O ports at 20d0 [size=8]
	Region 1: I/O ports at 20e8 [size=4]
	Region 2: I/O ports at 20d8 [size=8]
	Region 3: I/O ports at 20ec [size=4]
	Region 4: I/O ports at 20b0 [size=16]
	Region 5: Memory at e0a04400 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>

01:00.0 VGA compatible controller [0300]: nVidia Corporation NV44 [Quadro NVS 285] [10de:0165] (rev a1) (prog-if 00 [VGA])
	Subsystem: nVidia Corporation Unknown device [10de:029d]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at e1000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at e2000000 (64-bit, non-prefetchable) [size=16M]
	[virtual] Expansion ROM at e0000000 [disabled] [size=128K]
	Capabilities: <access denied>

05:09.0 Ethernet controller [0200]: Intel Corporation 82557/8/9 [Ethernet Pro 100] [8086:1229] (rev 0d)
	Subsystem: Intel Corporation EtherExpress PRO/100 S Server Adapter [8086:1050]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (2000ns min, 14000ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 20
	Region 0: Memory at e0420000 (32-bit, non-prefetchable) [size=4K]
	Region 1: I/O ports at 1000 [size=64]
	Region 2: Memory at e0400000 (32-bit, non-prefetchable) [size=128K]
	Capabilities: <access denied>

3f:00.0 Ethernet controller [0200]: Broadcom Corporation NetXtreme BCM5752 Gigabit Ethernet PCI Express [14e4:1600] (rev 01)
	Subsystem: Hewlett-Packard Company Unknown device [103c:3013]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 218
	Region 0: Memory at e0500000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>



-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.21-2-686 (SMP w/2 CPU cores)
Locale: LANG=sv_SE.UTF-8, LC_CTYPE=sv_SE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.21-2-686 depends on:
ii  initramfs-tools [linux-initr 0.90a       tools for generating an initramfs
ii  module-init-tools            3.3-pre11-4 tools for managing Linux kernel mo

Versions of packages linux-image-2.6.21-2-686 recommends:
ii  libc6-i686                    2.6.1-1+b1 GNU C Library: Shared libraries [i

-- debconf information:
  linux-image-2.6.21-2-686/preinst/elilo-initrd-2.6.21-2-686: true
  linux-image-2.6.21-2-686/preinst/lilo-has-ramdisk:
  linux-image-2.6.21-2-686/preinst/already-running-this-2.6.21-2-686:
  linux-image-2.6.21-2-686/postinst/depmod-error-initrd-2.6.21-2-686: false
  linux-image-2.6.21-2-686/postinst/bootloader-test-error-2.6.21-2-686:
  linux-image-2.6.21-2-686/prerm/removing-running-kernel-2.6.21-2-686: true
  linux-image-2.6.21-2-686/postinst/kimage-is-a-directory:
  linux-image-2.6.21-2-686/preinst/failed-to-move-modules-2.6.21-2-686:
  linux-image-2.6.21-2-686/preinst/initrd-2.6.21-2-686:
  linux-image-2.6.21-2-686/preinst/overwriting-modules-2.6.21-2-686: true
  linux-image-2.6.21-2-686/postinst/create-kimage-link-2.6.21-2-686: true
  linux-image-2.6.21-2-686/postinst/old-system-map-link-2.6.21-2-686: true
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.21-2-686/prerm/would-invalidate-boot-loader-2.6.21-2-686: true
  linux-image-2.6.21-2-686/postinst/old-initrd-link-2.6.21-2-686: true
  linux-image-2.6.21-2-686/postinst/bootloader-error-2.6.21-2-686:
  linux-image-2.6.21-2-686/preinst/lilo-initrd-2.6.21-2-686: true
  linux-image-2.6.21-2-686/preinst/bootloader-initrd-2.6.21-2-686: true
  linux-image-2.6.21-2-686/postinst/old-dir-initrd-link-2.6.21-2-686: true
  linux-image-2.6.21-2-686/preinst/abort-overwrite-2.6.21-2-686:
  linux-image-2.6.21-2-686/postinst/depmod-error-2.6.21-2-686: false
  linux-image-2.6.21-2-686/preinst/abort-install-2.6.21-2-686:




Bug reassigned from package `linux-image-2.6.21-2-686' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Tue, 10 Jun 2008 09:21:45 GMT) Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Mon, 06 Oct 2008 17:18:03 GMT) Full text and rfc822 format available.

Notification sent to Johan Walles <johan.walles@gmail.com>:
Bug acknowledged by developer. (Mon, 06 Oct 2008 17:18:04 GMT) Full text and rfc822 format available.

Message #12 received at 444880-done@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 444880-done@bugs.debian.org
Subject: works
Date: Mon, 6 Oct 2008 19:16:52 +0200
Works here flawless.

Bastian

-- 
There are some things worth dying for.
		-- Kirk, "Errand of Mercy", stardate 3201.7




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#444880; Package linux-2.6. (Tue, 07 Oct 2008 05:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Johan Walles" <johan.walles@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 07 Oct 2008 05:54:02 GMT) Full text and rfc822 format available.

Message #17 received at 444880@bugs.debian.org (full text, mbox):

From: "Johan Walles" <johan.walles@gmail.com>
To: 444880@bugs.debian.org, waldi@debian.org, control@bugs.debian.org
Subject: Re: Bug#444880 closed by Bastian Blank <waldi@debian.org> (works)
Date: Tue, 7 Oct 2008 07:51:36 +0200
found 444880 2.6.26-5
thanks

Bastian, what kernel are you running?

I'm getting "0" (which isn't the expected "read" either) on the
following kernel:
Linux version 2.6.26-1-686 (Debian 2.6.26-5) (waldi@debian.org) (gcc
version 4.1.3 20080623 (prerelease) (Debian 4.1.2-23)) #1 SMP Wed Sep
10 16:46:13 UTC 2008

  Regards //Johan

2008/10/6 Debian Bug Tracking System <owner@bugs.debian.org>:
>
> This is an automatic notification regarding your Bug report
> which was filed against the linux-2.6 package:
>
> #444880: /boot/vmlinuz-2.6.21-2-686: /proc/20502/wchan has unexpected content, trivial repro
>
> It has been closed by Bastian Blank <waldi@debian.org>.
>
> Their explanation is attached below along with your original report.
> If this explanation is unsatisfactory and you have not received a
> better one in a separate message then please contact Bastian Blank <waldi@debian.org> by
> replying to this email.
>
>
> --
> 444880: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=444880
> Debian Bug Tracking System
> Contact owner@bugs.debian.org with problems
>
>
> ---------- Vidarebefordrat meddelande ----------
> From: Bastian Blank <waldi@debian.org>
> To: 444880-done@bugs.debian.org
> Date: Mon, 6 Oct 2008 19:16:52 +0200
> Subject: works
> Works here flawless.
>
> Bastian
>
> --
> There are some things worth dying for.
>                -- Kirk, "Errand of Mercy", stardate 3201.7
>
>
>
> ---------- Vidarebefordrat meddelande ----------
> From: Johan Walles <johan.walles@gmail.com>
> To: Debian Bug Tracking System <submit@bugs.debian.org>
> Date: Mon, 01 Oct 2007 18:16:02 +0200
> Subject: /boot/vmlinuz-2.6.21-2-686: /proc/20502/wchan has unexpected content, trivial repro
> Package: linux-image-2.6.21-2-686
> Version: 2.6.21-6
> Severity: normal
> File: /boot/vmlinuz-2.6.21-2-686
>
>
> Try this:
> 1. At one prompt, do "cat".
> Now, switch to another prompt and...
> 2. Do "pstree -p|grep cat" to find out the PID of your cat command.  I
> get 20502.
> 3. Do "cat /proc/20502/wchan".  I get "_stext" here.
> 4. Do "strace -p 20502".  I get "read(0,  <unfinished ...>" here.
>
> According to "man proc", wchan "is the "channel" in which the process
> is waiting.  It is the address of a system call".  "_stext" doesn't seem
> to fit that description.
>
> I would like the output of cat /proc/20502/wchan to agree with strace.
>
> Otherwise creating "bottom" (the opposite of "top") can't be done with
> just a few lines of shell scripting as I had intended :-(.
>
>  Regards //Johan
>
> -- Package-specific info:
> ** Version: Linux version 2.6.21-2-686 (Debian 2.6.21-6) (waldi@debian.org) (gcc version 4.1.3 20070629 (prerelease) (Debian 4.1.2-13)) #1 SMP Wed Jul 11 03:53:02 UTC 2007
>
> ** Not tainted
>
> ** Kernel log:
> uhci_hcd 0000:00:1d.3: new USB bus registered, assigned bus number 5
> uhci_hcd 0000:00:1d.3: irq 22, io base 0x00002060
> usb usb5: configuration #1 chosen from 1 choice
> hub 5-0:1.0: USB hub found
> hub 5-0:1.0: 2 ports detected
> ACPI: PCI Interrupt 0000:05:09.0[A] -> GSI 18 (level, low) -> IRQ 20
> e100: eth1: e100_probe: addr 0xe0420000, irq 20, MAC addr 00:02:B3:94:C4:C0
> Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
> ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
> ICH7: IDE controller at PCI slot 0000:00:1f.1
> ACPI: PCI Interrupt 0000:00:1f.1[A] -> GSI 17 (level, low) -> IRQ 17
> ICH7: chipset revision 1
> ICH7: not 100% native mode: will probe irqs later
>    ide0: BM-DMA at 0x20a0-0x20a7, BIOS settings: hda:DMA, hdb:pio
>    ide1: BM-DMA at 0x20a8-0x20af, BIOS settings: hdc:pio, hdd:pio
> Probing IDE interface ide0...
> usb 3-1: new low speed USB device using uhci_hcd and address 2
> usb 3-1: configuration #1 chosen from 1 choice
> hda: HL-DT-STDVDRRW GWA-4166B, ATAPI CD/DVD-ROM drive
> usb 3-2: new full speed USB device using uhci_hcd and address 3
> usb 3-2: configuration #1 chosen from 1 choice
> ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
> Probing IDE interface ide1...
> usb 4-2: new low speed USB device using uhci_hcd and address 2
> usb 4-2: configuration #1 chosen from 1 choice
> usbcore: registered new interface driver hiddev
> input: A4Tech USB Optical Mouse as /class/input/input1
> input: USB HID v1.10 Mouse [A4Tech USB Optical Mouse] on usb-0000:00:1d.1-1
> input: Logitech Logitech Extreme 3D Pro as /class/input/input2
> input: USB HID v1.10 Joystick [Logitech Logitech Extreme 3D Pro] on usb-0000:00:1d.2-2
> usbcore: registered new interface driver usbhid
> drivers/usb/input/hid-core.c: v2.6:USB HID core driver
> hda: ATAPI 40X DVD-ROM DVD-R CD-R/RW drive, 2048kB Cache, UDMA(44)
> Uniform CD-ROM driver Revision: 3.20
> floppy0: no floppy controllers found
> kjournald starting.  Commit interval 5 seconds
> EXT3-fs: mounted filesystem with ordered data mode.
> input: PC Speaker as /class/input/input3
> Real Time Clock Driver v1.12ac
> iTCO_wdt: Intel TCO WatchDog Timer Driver v1.01 (21-Jan-2007)
> iTCO_wdt: Found a ICH7 or ICH7R TCO device (Version=2, TCOBASE=0x7860)
> iTCO_wdt: heartbeat value must be 2<heartbeat<39 (TCO v1) or 613 (TCO v2), using 30
> iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
> parport: PnPBIOS parport detected.
> parport0: PC-style at 0x378 (0x778), irq 7, dma 3 [PCSPP,TRISTATE,COMPAT,ECP,DMA]
> parport0: Printer, Brother HL-2070N series
> intel_rng: Firmware space is locked read-only. If you can't or
> intel_rng: don't want to disable this in firmware setup, and if
> intel_rng: you are certain that your system has a functional
> intel_rng: RNG, try using the 'no_fwh_detect' option.
> cdc_acm 3-2:1.1: ttyACM0: USB ACM device
> cdc_acm 3-2:1.3: ttyACM1: USB ACM device
> cdc_acm 3-2:1.5: ttyACM2: USB ACM device
> usbcore: registered new interface driver cdc_acm
> drivers/usb/class/cdc-acm.c: v0.25:USB Abstract Control Model driver for USB modems and ISDN adapters
> ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 21 (level, low) -> IRQ 21
> PCI: Setting latency timer of device 0000:00:1b.0 to 64
> floppy0: no floppy controllers found
> EXT3 FS on sda2, internal journal
> smsc47b397: found SMSC SCH5307-NS (base address 0x0480, revision 0)
> device-mapper: ioctl: 4.11.0-ioctl (2006-10-12) initialised: dm-devel@redhat.com
> NTFS driver 2.1.28 [Flags: R/W MODULE].
> NTFS volume version 3.1.
> e100: eth1: e100_watchdog: link up, 10Mbps, half-duplex
> PM: Writing back config space on device 0000:3f:00.0 at offset 1 (was 100406, writing 100006)
> PM: Writing back config space on device 0000:3f:00.0 at offset 1 (was 100406, writing 100006)
> PM: Writing back config space on device 0000:3f:00.0 at offset 1 (was 100406, writing 100006)
> tg3: eth0: Link is up at 100 Mbps, full duplex.
> tg3: eth0: Flow control is on for TX and on for RX.
> PM: Writing back config space on device 0000:3f:00.0 at offset 1 (was 100406, writing 100006)
> PM: Writing back config space on device 0000:3f:00.0 at offset 1 (was 100406, writing 100006)
> tg3: eth0: Link is up at 100 Mbps, full duplex.
> tg3: eth0: Flow control is on for TX and on for RX.
> ip_tables: (C) 2000-2006 Netfilter Core Team
> Netfilter messages via NETLINK v0.30.
> nf_conntrack version 0.5.0 (8192 buckets, 65536 max)
> input: Power Button (FF) as /class/input/input4
> ACPI: Power Button (FF) [PWRF]
> input: Power Button (CM) as /class/input/input5
> ACPI: Power Button (CM) [PBTN]
> lp0: using parport0 (interrupt-driven).
> ppdev: user-space parallel port driver
> ata1.00: configured for UDMA/100
> ata1: EH complete
> SCSI device sda: 488397168 512-byte hdwr sectors (250059 MB)
> sda: Write Protect is off
> sda: Mode Sense: 00 3a 00 00
> SCSI device sda: write cache: disabled, read cache: enabled, doesn't support DPO or FUA
> ISO 9660 Extensions: Microsoft Joliet Level 1
> ISOFS: changing to secondary root
> atkbd.c: Unknown key pressed (translated set 2, code 0x88 on isa0060/serio0).
> atkbd.c: Use 'setkeycodes e008 <keycode>' to make it known.
> atkbd.c: Unknown key released (translated set 2, code 0x88 on isa0060/serio0).
> atkbd.c: Use 'setkeycodes e008 <keycode>' to make it known.
> usb 3-2: USB disconnect, address 3
> usb 3-2: new full speed USB device using uhci_hcd and address 4
> usb 3-2: configuration #1 chosen from 1 choice
> cdc_acm 3-2:1.1: ttyACM0: USB ACM device
> cdc_acm 3-2:1.3: ttyACM1: USB ACM device
> cdc_acm 3-2:1.5: ttyACM2: USB ACM device
>
> ** Loaded modules:
> Module                  Size  Used by
> isofs                  32796  1
> ppdev                   8580  0
> lp                     10884  0
> button                  7952  0
> ac                      5220  0
> battery                10020  0
> acpi_cpufreq            8680  0
> cpufreq_userspace       4128  0
> cpufreq_stats           5120  0
> cpufreq_powersave       1792  0
> cpufreq_ondemand        7884  2
> freq_table              4512  3 acpi_cpufreq,cpufreq_stats,cpufreq_ondemand
> cpufreq_conservative     6888  0
> ipt_MASQUERADE          3616  1
> xt_tcpudp               3104  23
> iptable_nat             7236  1
> nf_nat                 17740  2 ipt_MASQUERADE,iptable_nat
> xt_state                2432  1
> ipt_LOG                 6144  4
> nf_conntrack_ftp        9632  0
> nf_conntrack_ipv4      17612  3 iptable_nat
> nf_conntrack           58472  6 ipt_MASQUERADE,iptable_nat,nf_nat,xt_state,nf_conntrack_ftp,nf_conntrack_ipv4
> nfnetlink               6456  3 nf_nat,nf_conntrack_ipv4,nf_conntrack
> iptable_filter          2944  1
> ip_tables              12164  2 iptable_nat,iptable_filter
> x_tables               14468  6 ipt_MASQUERADE,xt_tcpudp,iptable_nat,xt_state,ipt_LOG,ip_tables
> nls_iso8859_1           4128  2
> ntfs                  203264  1
> dm_snapshot            16420  0
> dm_mirror              20116  0
> dm_mod                 52556  2 dm_snapshot,dm_mirror
> smsc47b397              6020  0
> i2c_isa                 5216  1 smsc47b397
> i2c_core               20480  2 smsc47b397,i2c_isa
> snd_hda_intel          20312  2
> snd_hda_codec         198336  1 snd_hda_intel
> snd_pcm_oss            39168  1
> snd_pcm                71940  3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
> snd_mixer_oss          15328  1 snd_pcm_oss
> snd_seq_dummy           3748  0
> snd_seq_oss            29248  0
> snd_seq_midi            8160  0
> snd_rawmidi            22400  1 snd_seq_midi
> snd_seq_midi_event      6880  2 snd_seq_oss,snd_seq_midi
> snd_seq                46160  6 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq_midi_event
> snd_timer              20868  2 snd_pcm,snd_seq
> snd_seq_device          7596  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_rawmidi,snd_seq
> snd                    48132  16 snd_hda_intel,snd_hda_codec,snd_pcm_oss,snd_pcm,snd_mixer_oss,snd_seq_oss,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
> psmouse                34952  0
> parport_pc             32740  1
> cdc_acm                14080  0
> joydev                  9152  0
> evdev                   9216  3
> soundcore               7424  2 snd
> iTCO_wdt                9956  0
> serio_raw               6564  0
> parport                33672  3 ppdev,lp,parport_pc
> tsdev                   7520  0
> snd_page_alloc          9512  2 snd_hda_intel,snd_pcm
> rtc                    12760  0
> pcspkr                  3136  0
> ext3                  120904  1
> jbd                    55208  1 ext3
> mbcache                 8164  1 ext3
> ide_cd                 36512  1
> cdrom                  32768  1 ide_cd
> usbhid                 23488  0
> hid                    23680  1 usbhid
> piix                    9508  0 [permanent]
> generic                 4804  0 [permanent]
> ide_core              115016  3 ide_cd,piix,generic
> e100                   32488  0
> mii                     5280  1 e100
> uhci_hcd               22608  0
> ata_generic             8100  0
> ehci_hcd               30796  0
> usbcore               123272  5 cdc_acm,usbhid,uhci_hcd,ehci_hcd
> tg3                    99844  0
> thermal                14120  0
> processor              30888  2 acpi_cpufreq,thermal
> fan                     4868  0
> sd_mod                 19904  3
> ahci                   20068  2
> libata                109172  2 ata_generic,ahci
> scsi_mod              133740  2 sd_mod,libata
>
> ** PCI devices:
> 00:00.0 Host bridge [0600]: Intel Corporation 955X Express Memory Controller Hub [8086:2774]
>        Subsystem: Hewlett-Packard Company Unknown device [103c:3013]
>        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
>        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR-
>        Latency: 0
>        Capabilities: <access denied>
>
> 00:01.0 PCI bridge [0604]: Intel Corporation 955X Express PCI Express Root Port [8086:2775] (prog-if 00 [Normal decode])
>        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
>        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
>        Latency: 0, Cache Line Size: 64 bytes
>        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
>        Memory behind bridge: e1000000-e31fffff
>        Prefetchable memory behind bridge: 00000000d0000000-00000000e01fffff
>        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
>        BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
>        Capabilities: <access denied>
>
> 00:1b.0 Audio device [0403]: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller [8086:27d8] (rev 01)
>        Subsystem: Hewlett-Packard Company Unknown device [103c:3013]
>        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
>        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
>        Latency: 0, Cache Line Size: 64 bytes
>        Interrupt: pin A routed to IRQ 21
>        Region 0: Memory at e0a00000 (64-bit, non-prefetchable) [size=16K]
>        Capabilities: <access denied>
>
> 00:1c.0 PCI bridge [0604]: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 [8086:27d0] (rev 01) (prog-if 00 [Normal decode])
>        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
>        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
>        Latency: 0, Cache Line Size: 64 bytes
>        Bus: primary=00, secondary=10, subordinate=10, sec-latency=0
>        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
>        BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
>        Capabilities: <access denied>
>
> 00:1c.4 PCI bridge [0604]: Intel Corporation 82801GR/GH/GHM (ICH7 Family) PCI Express Port 5 [8086:27e0] (rev 01) (prog-if 00 [Normal decode])
>        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
>        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
>        Latency: 0, Cache Line Size: 64 bytes
>        Bus: primary=00, secondary=28, subordinate=28, sec-latency=0
>        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
>        BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
>        Capabilities: <access denied>
>
> 00:1c.5 PCI bridge [0604]: Intel Corporation 82801GR/GH/GHM (ICH7 Family) PCI Express Port 6 [8086:27e2] (rev 01) (prog-if 00 [Normal decode])
>        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
>        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
>        Latency: 0, Cache Line Size: 64 bytes
>        Bus: primary=00, secondary=3f, subordinate=3f, sec-latency=0
>        Memory behind bridge: e0500000-e07fffff
>        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
>        BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
>        Capabilities: <access denied>
>
> 00:1d.0 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB UHCI #1 [8086:27c8] (rev 01) (prog-if 00 [UHCI])
>        Subsystem: Hewlett-Packard Company Unknown device [103c:3013]
>        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
>        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
>        Latency: 0
>        Interrupt: pin A routed to IRQ 19
>        Region 4: I/O ports at 2000 [size=32]
>
> 00:1d.1 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB UHCI #2 [8086:27c9] (rev 01) (prog-if 00 [UHCI])
>        Subsystem: Hewlett-Packard Company Unknown device [103c:3013]
>        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
>        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
>        Latency: 0
>        Interrupt: pin B routed to IRQ 20
>        Region 4: I/O ports at 2020 [size=32]
>
> 00:1d.2 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB UHCI #3 [8086:27ca] (rev 01) (prog-if 00 [UHCI])
>        Subsystem: Hewlett-Packard Company Unknown device [103c:3013]
>        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
>        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
>        Latency: 0
>        Interrupt: pin C routed to IRQ 21
>        Region 4: I/O ports at 2040 [size=32]
>
> 00:1d.3 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB UHCI #4 [8086:27cb] (rev 01) (prog-if 00 [UHCI])
>        Subsystem: Hewlett-Packard Company Unknown device [103c:3013]
>        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
>        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
>        Latency: 0
>        Interrupt: pin D routed to IRQ 22
>        Region 4: I/O ports at 2060 [size=32]
>
> 00:1d.7 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller [8086:27cc] (rev 01) (prog-if 20 [EHCI])
>        Subsystem: Hewlett-Packard Company Unknown device [103c:3013]
>        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
>        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
>        Latency: 0
>        Interrupt: pin A routed to IRQ 19
>        Region 0: Memory at e0a04000 (32-bit, non-prefetchable) [size=1K]
>        Capabilities: <access denied>
>
> 00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev e1) (prog-if 01 [Subtractive decode])
>        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
>        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
>        Latency: 0
>        Bus: primary=00, secondary=05, subordinate=05, sec-latency=32
>        I/O behind bridge: 00001000-00001fff
>        Memory behind bridge: e0200000-e04fffff
>        Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
>        BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
>        Capabilities: <access denied>
>
> 00:1f.0 ISA bridge [0601]: Intel Corporation 82801GB/GR (ICH7 Family) LPC Interface Bridge [8086:27b8] (rev 01)
>        Subsystem: Hewlett-Packard Company Unknown device [103c:3013]
>        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
>        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
>        Latency: 0
>        Capabilities: <access denied>
>
> 00:1f.1 IDE interface [0101]: Intel Corporation 82801G (ICH7 Family) IDE Controller [8086:27df] (rev 01) (prog-if 8a [Master SecP PriP])
>        Subsystem: Hewlett-Packard Company Unknown device [103c:3013]
>        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
>        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
>        Latency: 0
>        Interrupt: pin A routed to IRQ 17
>        Region 0: I/O ports at 01f0 [size=8]
>        Region 1: I/O ports at 03f4 [size=1]
>        Region 2: I/O ports at 0170 [size=8]
>        Region 3: I/O ports at 0374 [size=1]
>        Region 4: I/O ports at 20a0 [size=16]
>
> 00:1f.2 SATA controller [0106]: Intel Corporation 82801GR/GH (ICH7 Family) Serial ATA Storage Controller AHCI [8086:27c1] (rev 01) (prog-if 01 [AHCI 1.0])
>        Subsystem: Hewlett-Packard Company Unknown device [103c:3013]
>        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
>        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
>        Latency: 0
>        Interrupt: pin B routed to IRQ 219
>        Region 0: I/O ports at 20d0 [size=8]
>        Region 1: I/O ports at 20e8 [size=4]
>        Region 2: I/O ports at 20d8 [size=8]
>        Region 3: I/O ports at 20ec [size=4]
>        Region 4: I/O ports at 20b0 [size=16]
>        Region 5: Memory at e0a04400 (32-bit, non-prefetchable) [size=1K]
>        Capabilities: <access denied>
>
> 01:00.0 VGA compatible controller [0300]: nVidia Corporation NV44 [Quadro NVS 285] [10de:0165] (rev a1) (prog-if 00 [VGA])
>        Subsystem: nVidia Corporation Unknown device [10de:029d]
>        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
>        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
>        Latency: 0, Cache Line Size: 64 bytes
>        Interrupt: pin A routed to IRQ 10
>        Region 0: Memory at e1000000 (32-bit, non-prefetchable) [size=16M]
>        Region 1: Memory at d0000000 (64-bit, prefetchable) [size=256M]
>        Region 3: Memory at e2000000 (64-bit, non-prefetchable) [size=16M]
>        [virtual] Expansion ROM at e0000000 [disabled] [size=128K]
>        Capabilities: <access denied>
>
> 05:09.0 Ethernet controller [0200]: Intel Corporation 82557/8/9 [Ethernet Pro 100] [8086:1229] (rev 0d)
>        Subsystem: Intel Corporation EtherExpress PRO/100 S Server Adapter [8086:1050]
>        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
>        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
>        Latency: 32 (2000ns min, 14000ns max), Cache Line Size: 64 bytes
>        Interrupt: pin A routed to IRQ 20
>        Region 0: Memory at e0420000 (32-bit, non-prefetchable) [size=4K]
>        Region 1: I/O ports at 1000 [size=64]
>        Region 2: Memory at e0400000 (32-bit, non-prefetchable) [size=128K]
>        Capabilities: <access denied>
>
> 3f:00.0 Ethernet controller [0200]: Broadcom Corporation NetXtreme BCM5752 Gigabit Ethernet PCI Express [14e4:1600] (rev 01)
>        Subsystem: Hewlett-Packard Company Unknown device [103c:3013]
>        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
>        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
>        Latency: 0, Cache Line Size: 64 bytes
>        Interrupt: pin A routed to IRQ 218
>        Region 0: Memory at e0500000 (64-bit, non-prefetchable) [size=64K]
>        Capabilities: <access denied>
>
>
>
> -- System Information:
> Debian Release: lenny/sid
>  APT prefers testing
>  APT policy: (990, 'testing')
> Architecture: i386 (i686)
>
> Kernel: Linux 2.6.21-2-686 (SMP w/2 CPU cores)
> Locale: LANG=sv_SE.UTF-8, LC_CTYPE=sv_SE.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash
>
> Versions of packages linux-image-2.6.21-2-686 depends on:
> ii  initramfs-tools [linux-initr 0.90a       tools for generating an initramfs
> ii  module-init-tools            3.3-pre11-4 tools for managing Linux kernel mo
>
> Versions of packages linux-image-2.6.21-2-686 recommends:
> ii  libc6-i686                    2.6.1-1+b1 GNU C Library: Shared libraries [i
>
> -- debconf information:
>  linux-image-2.6.21-2-686/preinst/elilo-initrd-2.6.21-2-686: true
>  linux-image-2.6.21-2-686/preinst/lilo-has-ramdisk:
>  linux-image-2.6.21-2-686/preinst/already-running-this-2.6.21-2-686:
>  linux-image-2.6.21-2-686/postinst/depmod-error-initrd-2.6.21-2-686: false
>  linux-image-2.6.21-2-686/postinst/bootloader-test-error-2.6.21-2-686:
>  linux-image-2.6.21-2-686/prerm/removing-running-kernel-2.6.21-2-686: true
>  linux-image-2.6.21-2-686/postinst/kimage-is-a-directory:
>  linux-image-2.6.21-2-686/preinst/failed-to-move-modules-2.6.21-2-686:
>  linux-image-2.6.21-2-686/preinst/initrd-2.6.21-2-686:
>  linux-image-2.6.21-2-686/preinst/overwriting-modules-2.6.21-2-686: true
>  linux-image-2.6.21-2-686/postinst/create-kimage-link-2.6.21-2-686: true
>  linux-image-2.6.21-2-686/postinst/old-system-map-link-2.6.21-2-686: true
>  shared/kernel-image/really-run-bootloader: true
>  linux-image-2.6.21-2-686/prerm/would-invalidate-boot-loader-2.6.21-2-686: true
>  linux-image-2.6.21-2-686/postinst/old-initrd-link-2.6.21-2-686: true
>  linux-image-2.6.21-2-686/postinst/bootloader-error-2.6.21-2-686:
>  linux-image-2.6.21-2-686/preinst/lilo-initrd-2.6.21-2-686: true
>  linux-image-2.6.21-2-686/preinst/bootloader-initrd-2.6.21-2-686: true
>  linux-image-2.6.21-2-686/postinst/old-dir-initrd-link-2.6.21-2-686: true
>  linux-image-2.6.21-2-686/preinst/abort-overwrite-2.6.21-2-686:
>  linux-image-2.6.21-2-686/postinst/depmod-error-2.6.21-2-686: false
>  linux-image-2.6.21-2-686/preinst/abort-install-2.6.21-2-686:
>
>
>
>




Bug marked as found in version 2.6.26-5 and reopened. Request was from "Johan Walles" <johan.walles@gmail.com> to control@bugs.debian.org. (Tue, 07 Oct 2008 05:54:05 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to Johan Walles <johan.walles@gmail.com> Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Tue, 07 Oct 2008 07:33:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#444880; Package linux-2.6. (Wed, 08 Oct 2008 07:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Johan Walles" <johan.walles@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 08 Oct 2008 07:27:03 GMT) Full text and rfc822 format available.

Message #26 received at 444880@bugs.debian.org (full text, mbox):

From: "Johan Walles" <johan.walles@gmail.com>
To: 444880@bugs.debian.org, maks@debian.org, waldi@debian.org
Subject: Re: Bug#444880 acknowledged by developer (closing 444880)
Date: Wed, 8 Oct 2008 09:23:11 +0200
Maximillian / Bastian,

on which kernel version does this work for any of you?

For me it's still broken on this kernel, using the repro provided in
the original bug report:

Linux version 2.6.26-1-686 (Debian 2.6.26-5) (waldi@debian.org) (gcc
version 4.1.3 20080623 (prerelease) (Debian 4.1.2-23)) #1 SMP Wed Sep
10 16:46:13 UTC 2008

Debbugs unfortunately decided to hide that question last time I asked
it :-( , so it's quite understandable if you missed it:
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=19;bug=444880

  Regards //Johan

2008/10/7 Debian Bug Tracking System <owner@bugs.debian.org>:
> This is an automatic notification regarding your Bug report
> #444880: /boot/vmlinuz-2.6.21-2-686: /proc/20502/wchan has unexpected content, trivial repro,
> which was filed against the linux-2.6 package.
>
> It has been marked as closed by one of the developers, namely
> maximilian attems <maks@debian.org>.
>
> You should be hearing from them with a substantive response shortly,
> in case you haven't already. If not, please contact them directly.
>
> Debian bug tracking system administrator
> (administrator, Debian Bugs database)
>
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#444880; Package linux-2.6. (Mon, 13 Oct 2008 05:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Johan Walles" <johan.walles@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 13 Oct 2008 05:30:02 GMT) Full text and rfc822 format available.

Message #31 received at 444880@bugs.debian.org (full text, mbox):

From: "Johan Walles" <johan.walles@gmail.com>
To: 444880@bugs.debian.org, maks@debian.org, waldi@debian.org
Subject: Re-opening awaiting fixed-version info
Date: Mon, 13 Oct 2008 07:27:16 +0200
Hi!

I'll be re-opening this in a short while while waiting for information
about which kernel version this bug has been fixed in.  Without
knowing which kernel version  has the fix this is really hard for me
to verify.

If this has not been fixed, feel free to just leave this bug open until it is.

  Regards //Johan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#444880; Package linux-2.6. (Fri, 17 Oct 2008 05:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Johan Walles" <johan.walles@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 17 Oct 2008 05:42:02 GMT) Full text and rfc822 format available.

Message #36 received at 444880@bugs.debian.org (full text, mbox):

From: "Johan Walles" <johan.walles@gmail.com>
To: control@bugs.debian.org, 444880@bugs.debian.org
Subject: Re-opening awaiting fix info
Date: Fri, 17 Oct 2008 07:39:07 +0200
reopen 444880
thanks

Re-opening awaiting information about in which kernel this has been fixed.

  Regards //Johan




Bug reopened, originator not changed. Request was from "Johan Walles" <johan.walles@gmail.com> to control@bugs.debian.org. (Fri, 17 Oct 2008 05:42:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#444880; Package linux-2.6. (Wed, 29 Apr 2009 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 29 Apr 2009 22:27:03 GMT) Full text and rfc822 format available.

Message #43 received at 444880@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Johan Walles <johan.walles@gmail.com>, 444880@bugs.debian.org
Cc: maks@debian.org, waldi@debian.org
Subject: Re: Bug#444880: Re-opening awaiting fixed-version info
Date: Wed, 29 Apr 2009 23:24:29 +0100
found 444880 2.6.29-3
thanks

On Mon, Oct 13, 2008 at 07:27:16AM +0200, Johan Walles wrote:
> I'll be re-opening this in a short while while waiting for information
> about which kernel version this bug has been fixed in.  Without
> knowing which kernel version  has the fix this is really hard for me
> to verify.

Still present in 2.6.29 (using stock Debian kernel
linux-image-2.6.29-1-amd64).  Also found in 2.6.26.

Possibly fixed in 2.6.30, but I haven't verified this personally.


Regards,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.




Bug marked as found in version 2.6.29-3. Request was from Roger Leigh <rleigh@codelibre.net> to control@bugs.debian.org. (Wed, 29 Apr 2009 22:27:04 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <max@stro.at>:
You have taken responsibility. (Tue, 02 Feb 2010 21:33:05 GMT) Full text and rfc822 format available.

Notification sent to Johan Walles <johan.walles@gmail.com>:
Bug acknowledged by developer. (Tue, 02 Feb 2010 21:33:05 GMT) Full text and rfc822 format available.

Message #50 received at 444880-done@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: 444880-done@bugs.debian.org
Subject: Re: /boot/vmlinuz-2.6.21-2-686: /proc/20502/wchan has unexpected content, trivial repro
Date: Tue, 2 Feb 2010 22:30:50 +0100
I never could reproduce the bug reporters claim.
nor could waldi.

just rechecked on latest 2.6.32, thus closing.

-- 
maks




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 03 Mar 2010 07:35:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:02:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.